one-entity-mobile-application-access-patch-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256541517Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
asyncLambda:
jef-one-patch-11
Endpoint¶
API Name:
jef-oneAction Name:
patchMethod:
PATCHScope Label:
AsyncResource Path:
/one-entity-mobile-application-access-patch-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-patch-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-patch-11curl payload mode:
json_body
API Gateway Description¶
Function: jef-one-patch-11
Module: jef-one
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /one-entity-mobile-application-access-patch-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-one-entity-mobile-application-access
Payload Example:
- pk: ENTITY-001
- sk: MOBILE-APP-001
- gsi_1_pk: MOBILE-APP-001
- gsi_1_sk: ENTITY-001
- entity_number: ENTITY-001
- mobile_application_number: MOBILE-APP-001
- is_active: True
Payload Schema:
- pk: string-{entity_number}
- sk: string-{mobile_application_number}
- gsi_1_pk: string-{mobile_application_number}
- gsi_1_sk: string-{entity_number}
- entity_number: string
- mobile_application_number: string
- is_active: boolean
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "ENTITY-001",
"sk": "MOBILE-APP-001",
"gsi_1_pk": "MOBILE-APP-001",
"gsi_1_sk": "ENTITY-001",
"entity_number": "ENTITY-001",
"mobile_application_number": "MOBILE-APP-001",
"is_active": "True"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"ENTITY-001\", \"sk\": \"MOBILE-APP-001\", \"gsi_1_pk\": \"MOBILE-APP-001\", \"gsi_1_sk\": \"ENTITY-001\", \"entity_number\": \"ENTITY-001\", \"mobile_application_number\": \"MOBILE-APP-001\", \"is_active\": true}"
PowerShell curl¶
curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entity-mobile-application-access-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "ENTITY-001", "sk": "MOBILE-APP-001", "gsi_1_pk": "MOBILE-APP-001", "gsi_1_sk": "ENTITY-001", "entity_number": "ENTITY-001", "mobile_application_number": "MOBILE-APP-001", "is_active": true}'